aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--testing/targetcli/APKBUILD12
-rwxr-xr-xtesting/targetcli/targetcli.initd23
2 files changed, 30 insertions, 5 deletions
diff --git a/testing/targetcli/APKBUILD b/testing/targetcli/APKBUILD
index 5d5285a848..7e4b44d2a9 100644
--- a/testing/targetcli/APKBUILD
+++ b/testing/targetcli/APKBUILD
@@ -1,10 +1,10 @@
# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=targetcli
-pkgver=2.0_rc1_p7
+pkgver=2.0_rc1_p11
_ver=${pkgver/_rc/rc}
_ver=${_ver/_p/.fb}
-pkgrel=1
+pkgrel=0
pkgdesc="An administration shell for storage targets"
url="https://github.com/agrover/targetcli-fb"
arch="noarch"
@@ -32,7 +32,7 @@ snapshot() {
cd targetcli-fb.git
git fetch || return 1
fi
-
+ echo $_gittag $SRCDEST $pkgname $_ver
git archive --prefix=$pkgname/ -o "$SRCDEST"/$pkgname-$_ver.tar.gz $_gittag
scp "$SRCDEST"/$pkgname-$_ver.tar.gz dev.alpinelinux.org:/archive/$pkgname/
}
@@ -57,7 +57,9 @@ build() {
package() {
cd "$_builddir"
python setup.py install --root="$pkgdir"
- install -D -m644 targetcli.8.gz "$pkgdir"/usr/share/man/man8/targetcli.8.gz
+ mkdir -p "$pkgdir"/var/lib/target/fabric
+ install -D -m644 $pkgname.8.gz "$pkgdir"/usr/share/man/man8/$pkgname.8.gz
+ install -D -m755 ../../$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
}
-md5sums="70952d94edd866d071ab208d95acde48 targetcli-2.0rc1.fb7.tar.gz"
+md5sums="16f493b0e9f2aa944e6a1de150b7d9ab targetcli-2.0rc1.fb11.tar.gz"
diff --git a/testing/targetcli/targetcli.initd b/testing/targetcli/targetcli.initd
new file mode 100755
index 0000000000..e14ebca328
--- /dev/null
+++ b/testing/targetcli/targetcli.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+
+description="Administration tool for managing RisingTide Systems storage targets"
+command="/usr/bin/targetcli"
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${RC_SVCNAME}"
+ mount -t configfs none /sys/kernel/config
+ $command restoreconfig clear_existing=true
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${RC_SVCNAME}"
+ $command clearconfig confirm=true
+ umount /sys/kernel/config
+ eend $?
+}